ps_mem(1)

NAME
ps_mem - Memory profiling tool

SYNOPSIS
ps_mem [OPTION]...

DESCRIPTION
Display the core memory used per program (not per process)

In detail it reports:

    sum (private RAM for program processes) +
    sum (shared RAM for program processes)

The shared RAM is problematic to calculate, and the tool automatically selects the most accurate method available for the running kernel.

OPTIONS

-h --help
    Show help message

-p PID[,PID2,...PIDN]
    Show memory consumption for the specified processes

-S --swap
    Show swap information of each item (and Shared swap if the kernel supports SwapPss).

-d --discriminate-by-pid
    Show and separate memory usage entries by process rather than by program.

-s --split-args
    Show and separate memory usage entries by command line arguments and not just the program name.

-t --total
    Only display the total number of bytes for the selected processes

-w N
    Report memory consumption every N seconds

AUTHOR
Pádraig Brady <P@draigBrady.com>